Migrating LabTrove from a previous version

From LabTrove Documentation
Jump to: navigation, search

Migrating to a newer version

When a new version of LabTrove is released, the database schema might change, so to ensure that the newer version of LabTrove can read your existing database, you must run the update script that is in the install/sql/ directory:

  • To upgrade from version 2.1 to version 2.2, obtain and run update-21-22.sql

Migrating to a new patch level

For version 2.2 only, when you install LabTrove, you can opt for automatic update, which LabTrove will perform as a background task. Before you enable automatic update, consider the potential risks to your Trove if the patch includes faulty code.

  • To enable or disable automatic update, edit the crontab file:
nano /etc/cron.d/labtrove
  • To enable automatic update, add the following line to the crontab file, unless it is already present:
49 3  * * * andrew cd /home/www/example.labtrove.org/install; php update.php auto
  • To disable automatic update, comment out the automatic update job:
# 49 3  * * * andrew cd /home/www/example.labtrove.org/install; php update.php auto

If you have not opted for automatic update, when you receive notification of the release of a new patch level of LabTrove, run the update.php script, which you can obtain from the install directory.


Personal tools
Namespaces

Variants
Actions
Navigation
Toolbox
Print/export